Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	5%{?dist}
+Release:	6%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -145,4 +145,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/mipstx39/rtems-4.10-mipstx39-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mipstx39/rtems-4.10-mipstx39-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/mipstx39/rtems-4.10-mipstx39-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -147,4 +147,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gdb.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gdb.spec	(revision 4ec1692a0dda1aa91331cee156ab173b13546833)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gdb.spec	(revision 88ab8f3f1705b002c8e17102488d5c803d46b1b9)
@@ -53,5 +53,5 @@
 Group:		Development/Tools
 Version:	%{gdb_rpmvers}
-Release:	8%{?dist}
+Release:	9%{?dist}
 License:	GPL/LGPL
 URL: 		http://sources.redhat.com/gdb
@@ -83,5 +83,5 @@
 %if "%{gdb_version}" >= "6.6"
 # suse
-%if 0%{?suse}
+%if "%{?suse}" >= "10.3"
 BuildRequires: libexpat-devel
 %else
@@ -144,4 +144,7 @@
 %if "%{gdb_version}" >= "6.6"
     --with-expat \
+%endif
+%if "%{gdb_version}" >= "6.8.50"
+    --without-python \
 %endif
     --prefix=%{_prefix} --bindir=%{_bindir} \