Index: doc/itron3.0/fixedblock.t
===================================================================
--- doc/itron3.0/fixedblock.t	(revision be5df8de05eceeeb140a4b34e0b4d26b1f6f20ca)
+++ doc/itron3.0/fixedblock.t	(revision 91e9ab87e142c6c4a9a6fc0fa8239f45f6e93313)
@@ -1,248 +1,758 @@
 @c
+
 @c  This is the chapter from the RTEMS ITRON User's Guide that
+
 @c  documents the services provided by the fixed block
+
 @c  manager.
-@c
+
+@c
+
 @c  $Id$
-@c
+
+@c
+
+
 
 @chapter Fixed Block Manager
 
+
+
 @section Introduction
 
-The 
-fixed block manager is ...
+
+
+The fixed block manager provides functions for creating, deleting, getting, polling, getting with timeout, releasing, and referencing the fixed-sized memorypool. This manager is based on ITRON 3.0 standard.
+
+
 
 The services provided by the fixed block manager are:
 
+
+
 @itemize @bullet
+
 @item @code{cre_mpf} - Create Fixed-Size Memorypool
+
 @item @code{del_mpf} - Delete Fixed-Size Memorypool
+
 @item @code{get_blf} - Get Fixed-Size Memory Block
+
 @item @code{pget_blf} - Poll and Get Fixed-Size Memory Block
+
 @item @code{tget_blf} - Get Fixed-Size Memory Block with Timeout
+
 @item @code{rel_blf} - Release Fixed-Size Memory Block
+
 @item @code{ref_mpf} - Reference Fixed-Size Memorypool Status
+
 @end itemize
 
+
+
 @section Background
 
+
+
 @section Operations
 
+
+
 @section System Calls
 
+
+
 This section details the fixed block manager's services.
+
 A subsection is dedicated to each of this manager's services
+
 and describes the calling sequence, related constants, usage,
+
 and status codes.
 
 
-@c
+
+
+
+@c
+
 @c  cre_mpf
-@c
+
+@c
+
+
 
 @page
+
 @subsection cre_mpf - Create Fixed-Size Memorypool
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER cre_mpf(
+
   ID mpfid,
+
   T_CMPF *pk_cmpf
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_NOMEM} - Insufficient memory (Memory for control block and/or for
+
+memorypool cannot be allocated)
+
+  
+
+@code{E_ID} - Invalid ID number (mpfid was invalid or could not be used)
+
+  
+
+@code{E_RSATR} - Reserved attribute (mpfatr was invalid or could not be used)
+
+  
+
+@code{E_OBJ} - Invalid object state (a memorypool of the same ID already exists)
+
+  
+
+@code{E_OACV} - Object access violation (A mpfid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (pk_cmpf is invalid or mpfsz and/or blfsz is
+
+negative or invalid)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+This system call creates a fixed-size memorypool having the ID number specified by mpfid.  Specifically, a memory area of a size based on values of mpfcnt and blfsz is reserved for use as a memorypool.  A control block for the memorypool being created is also allocated.  The get_blf system call specifying the memorypool created by this call can be issued to allocate memory blocks of the size given by blfsz (in bytes).
+
+
+
 @subheading NOTES:
 
 
-@c
+
+The memory area required for creating memorypools and for allocating control blocks for each object is allocated while system initialization. Associated parameters are therefore specified at system configuration.
+
+
+
+@c
+
 @c  del_mpf
-@c
+
+@c
+
+
 
 @page
+
 @subsection del_mpf - Delete Fixed-Size Memorypool
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER del_mpf(
+
   ID mpfid
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+
+
+@code{E_ID} - Invalid ID number (mpfid was invalid or could not be used)
+
+
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mpfid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mpfid less than -4 was specified from a user task.  This is implementation dependent.)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+This system call deletes the fixed-size memorypool specified by mpfid.  No check or error report is performed even if there are tasks using memory from the memorypool to be deleted.  This system call completes normally even if some of the memory blocks are not returned.  Issuing this system call causes memory used for the control block of the associated memorypool and the memory area making up the memorypool itself to be released.  After this system call is invoked, another memorypool having the same ID number can be created.  This system call will complete normally even if there are tasks waiting to get memory blocks from the memorypool.  In that case, an E_DLT error will be returned to each waiting task.
+
+
+
 @subheading NOTES:
 
 
-@c
+
+When a memorypool being waited for by more than one tasks is deleted, the order of tasks on the ready queue after the WAIT state is cleared is implementation dependent in the case of tasks having the same priority.
+
+
+
+
+
+@c
+
 @c  get_blf
-@c
+
+@c
+
+
 
 @page
+
 @subsection get_blf - Get Fixed-Size Memory Block
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER get_blf(
+
   VP *p_blf,
+
   ID mpfid
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+ 
+
+@code{E_OK} - Normal Completion
+
+
+
+@code{E_ID} - Invalid ID number (mpfid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mpfid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mpfid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (tmout is -2 or less)
+
+  
+
+@code{E_DLT} - The object being waited for was deleted (the specified memorypool
+
+was deleted while waiting)
+
+  
+
+@code{E_RLWAI} - WAIT state was forcibly released (rel_wai was received while
+
+waiting)
+
+  
+
+@code{E_TMOUT} - Polling failure or timeout exceeded
+
+  
+
+@code{E_CTX} - Context error (issued from task-independent portions or a
+
+task in dispatch disabled state; implementation dependent for pget_blf and tget_blf(tmout=TMO_POL))
+
+
 
 @subheading DESCRIPTION:
 
+
+
+A memory block is allocated from the fixed-size memorypool specified by mpfid.  The start address of the memory block allocated is returned to blf.  The size of the memory block allocated is specified by the blfsz parameter when the fixed-size memorypool was created.  The allocated memory block is not cleared to zero.  The contents of the allocated memory block are undefined.  If the memory block cannot be obtained from the specified memorypool when get_blf is issued, the task issuing get_blf will be placed on the memory allocation queue of the specified memorypool, and wait until it can get the memory it requires.  If the object being waited for is deleted (the specified memorypool is deleted while waiting), an E_DLT error will be returned.
+
+
+
 @subheading NOTES:
 
 
-@c
+
+
+
+@c
+
 @c  pget_blf
-@c
+
+@c
+
+
 
 @page
+
 @subsection pget_blf - Poll and Get Fixed-Size Memory Block
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER ercd =pget_blf(
+
   VP *p_blf,
+
   ID mpfid
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mpfid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mpfid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mpfid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (tmout is -2 or less)
+
+  
+
+@code{E_DLT} - The object being waited for was deleted (the specified memorypool
+
+was deleted while waiting)
+
+  
+
+@code{E_RLWAI} - WAIT state was forcibly released (rel_wai was received while
+
+waiting)
+
+  
+
+@code{E_TMOUT} - Polling failure or timeout exceeded
+
+  
+
+@code{E_CTX} - Context error (issued from task-independent portions or a
+
+task in dispatch disabled state; implementation dependent for pget_blf and tget_blf(tmout=TMO_POL))
+
+
 
 @subheading DESCRIPTION:
 
+
+
+The pget_blf system call has the same function as get_blf except for the waiting feature.  Pget_blf polls whether or not the task should wait if get_blf is executed.  The meaning of parameters to pget_blf are the same with get_blf.  The specific operations by pget_blf are as follows.
+
+
+
+  - If there is a free memory block available, processing is the same as
+
+    get_blf: that is, the requested memory is allocated and the system call
+
+    completes normally.
+
+
+
+  - If there is no free memory block, an E_TMOUT error is returned to
+
+    indicate polling failed and the system call finishes.  Unlike get_blf,
+
+    the issuing task does not wait in this case.  Also, the issuing task
+
+    does not get any memory.
+
+
+
 @subheading NOTES:
 
 
-@c
+
+
+
+@c
+
 @c  tget_blf
-@c
+
+@c
+
+
 
 @page
+
 @subsection tget_blf - Get Fixed-Size Memory Block with Timeout
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER ercd =tget_blf(
+
   VP *p_blf,
+
   ID mpfid,
+
   TMO tmout
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mpfid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mpfid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mpfid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (tmout is -2 or less)
+
+  
+
+@code{E_DLT} - The object being waited for was deleted (the specified memorypool
+
+was deleted while waiting)
+
+  
+
+@code{E_RLWAI} - WAIT state was forcibly released (rel_wai was received while
+
+waiting)
+
+  
+
+@code{E_TMOUT} - Polling failure or timeout exceeded
+
+  
+
+@code{E_CTX} - Context error (issued from task-independent portions or a
+
+task in dispatch disabled state; implementation dependent for pget_blf and tget_blf(tmout=TMO_POL))
+
+
 
 @subheading DESCRIPTION:
 
+
+
+The tget_blf system call has the same function as get_blf with an additional timeout feature.  A maximum wait time (timeout value) can be specified using the parameter tmout.  When a timeout is specified, a timeout error, E_TMOUT, will result and the system call will finish if the period specified by tmout elapses without conditions for releasing wait being satisfied (i.e. without free memory becoming available).
+
+
+
 @subheading NOTES:
 
 
-@c
+
+@c
+
 @c  rel_blf
-@c
+
+@c
+
+
 
 @page
+
 @subsection rel_blf - Release Fixed-Size Memory Block
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER rel_blf(
+
   ID mpfid,
+
   VP blf
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mpfid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mpfid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mpfid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (blf is invalid or an attempt was made to return
+
+the memory block to the wrong memorypool)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+This system call releases the memory block specified by blf and returns it to the fixed-size memorypool specified by mpfid.  Executing rel_blf allows memory to be allocated to the next task waiting for memory allocation from the memorypool given by mpfid, thus releasing that task from its WAIT state.
+
+
+
 @subheading NOTES:
 
 
-@c
+
+The fixed-size memorypool to which the memory block is returned must be the same memorypool from which it was originally allocated.  An E_PAR error will result if an attempt is made to return a memory block to another memorypool than that from which it was originally allocated.
+
+
+
+@c
+
 @c  ref_mpf
-@c
+
+@c
+
+
 
 @page
+
 @subsection ref_mpf - Reference Fixed-Size Memorypool Status
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER ref_mpf(
+
   T_RMPF *pk_rmpf,
+
   ID mpfid
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+
+
+@code{E_ID} - Invalid ID number (mpfid was invalid or could not be used)
+
+ 
+
+@code{E_NOEXS} - Object does not exist \(the memorypool specified by mpfid does 
+
+not exist.)
+
+                                                                                                                                                  
+
+@code{E_OACV} - Object access violation (A mpfid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+ 
+
+@code{E_PAR} - Parameter error (the packet address for the return parameters
+
+could not be used)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+This system call refers to the state of the fixed-size memorypool specified by mpfid, and returns the current number of free blocks (frbcnt), information of a task waiting to be allocated memory (wtsk), and its extended information (exinf).  Wtsk indicates whether or not there is a task waiting to be allocated memory from the fixed-size memorypool specified.  If there is no waiting task, wtsk is returned as FALSE = 0.  If there is a waiting task, wtsk is returned as a value other than 0.
+
+
+
 @subheading NOTES:
 
+
+
+While the frsz return parameter of ref_mpl returns the total size of free memory, the frbcnt return parameter of ref_mpf returns the number of free blocks.
+
+
+
+Depending on the implementation, additional information besides wtsk and frbcnt (such as memorypool attributes, mpfatr) may also be referred.
+
+
+
Index: doc/itron3.0/memorypool.t
===================================================================
--- doc/itron3.0/memorypool.t	(revision be5df8de05eceeeb140a4b34e0b4d26b1f6f20ca)
+++ doc/itron3.0/memorypool.t	(revision 91e9ab87e142c6c4a9a6fc0fa8239f45f6e93313)
@@ -1,251 +1,786 @@
 @c
+
 @c  This is the chapter from the RTEMS ITRON User's Guide that
+
 @c  documents the services provided by the memory pool
+
 @c  manager.
-@c
+
+@c
+
 @c  $Id$
-@c
+
+@c
+
+
 
 @chapter Memory Pool Manager
 
+
+
 @section Introduction
 
+
+
 The 
+
 memory pool manager is ...
 
+
+
 The services provided by the memory pool manager are:
 
+
+
 @itemize @bullet
+
 @item @code{cre_mpl} - Create Variable-Size Memorypool
+
 @item @code{del_mpl} - Delete Variable-Size Memorypool
+
 @item @code{get_blk} - Get Variable-Size Memory Block
+
 @item @code{pget_blk} - Poll and Get Variable-Size Memory Block
+
 @item @code{tget_blk} - Get Variable-Size Memory Block with Timeout
+
 @item @code{rel_blk} - Release Variable-Size Memory Block
+
 @item @code{ref_mpl} - Reference Variable-Size Memorypool Status
+
 @end itemize
 
+
+
 @section Background
 
+
+
+Memorypool management functions manage memorypools and allocate memory blocks.
+
+There are two types of memorypool: fixed-size memorypools and variable-size
+
+memorypools.  Both are considered separate objects and require different
+
+system calls for manipulation.  While the size of memory blocks allocated
+
+from fixed-size memorypools are all fixed, blocks of any size may be
+
+specified when allocating memory blocks from variable-size memorypools.
+
+
+
 @section Operations
 
+
+
 @section System Calls
 
+
+
 This section details the memory pool manager's services.
+
 A subsection is dedicated to each of this manager's services
+
 and describes the calling sequence, related constants, usage,
+
 and status codes.
 
 
-@c
+
+
+
+@c
+
 @c  cre_mpl
-@c
+
+@c
+
+
 
 @page
+
 @subsection cre_mpl - Create Variable-Size Memorypool
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER cre_mpl(
+
   ID mplid,
+
   T_CMPL *pk_cmpl
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+
+
+@code{E_NOMEM} - Insufficient memory (Memory for control block and/or for
+
+memorypool cannot be allocated)
+
+
+
+@code{E_ID} - Invalid ID number (mplid was invalid or could not be used)
+
+
+
+@code{E_RSATR} - Reserved attribute (mplatr was invalid or could not be used)
+
+
+
+@code{E_OBJ} - Invalid object state (a memorypool of the same ID already exists)
+
+
+
+@code{E_OACV} - Object access violation (A mplid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+
+
+@code{E_PAR} - Parameter error (pk_cmpl is invalid or mplsz is negative or
+
+invalid)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+The cre_mpl directive creates a variable-size memorypool having the ID number specified by mplid.  Specifically, a memory area of the size determined by mplsz is allocated for use as a memorypool.  A control block for the memorypool being created is also allocated.  User memorypools have positive ID numbers, while system memorypools have negative ID numbers.  User tasks (tasks having positive task IDs) cannot access system memorypools (memorypools having negative ID numbers). 
+
+
+
 @subheading NOTES:
 
 
-@c
+
+The memory required for creating memorypools and for allocating control blocks for each object is reserved while system initialization. Associated parameters are therefore specified at system configuration.
+
+
+
+@c
+
 @c  del_mpl
-@c
+
+@c
+
+
 
 @page
+
 @subsection del_mpl - Delete Variable-Size Memorypool
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER del_mpl(
+
   ID mplid
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+ 
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mplid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mplid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mplid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+This system call deletes the variable-size memorypool specified by mplid.  No check or error report is performed even if there are tasks using memory from the memorypool to be deleted.  This system call completes normally even if some of the memory blocks are not returned.  Issuing this system call causes memory used for the control block of the associated memorypool and the memory area making up the memorypool itself to be released.  After this system call is invoked, another memorypool having the same ID number can be created.
+
+
+
 @subheading NOTES:
 
 
-@c
+
+When a memorypool being waited for by more than one tasks is deleted, the order of tasks on the ready queue after the WAIT state is cleared is implementation dependent in the case of tasks having the same priority.
+
+
+
+@c
+
 @c  get_blk
-@c
+
+@c
+
+
 
 @page
+
 @subsection get_blk - Get Variable-Size Memory Block
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER get_blk(
+
   VP *p_blk,
+
   ID mplid,
+
   INT blksz
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mplid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mplid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mplid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (tmout is -2 or less, blksz is negative or invalid)
+
+  
+
+@code{E_DLT} - The object being waited for was deleted (the specified memorypool
+
+was deleted while waiting)
+
+  
+
+@code{E_RLWAI} - WAIT state was forcibly released (rel_wai was received while
+
+waiting)
+
+  
+
+@code{E_TMOUT} - Polling failure or timeout
+
+
+
+@code{E_CTX} - Context error (issued from task-independent portions or a
+
+task in dispatch disabled state; implementation dependent for
+
+pget_blk and tget_blk(tmout=TMO_POL))
+
+
 
 @subheading DESCRIPTION:
 
+
+
+A memory block of the size in bytes given by blksz is allocated from the variable-size memorypool specified by mplid.  The start address of the memory block allocated is returned in blk.  The allocated memory block is not cleared to zero.  The contents of the memory block allocated are undefined.  If the memory block cannot be obtained from the specified memorypool when get_blk is issued, the task issuing get_blk will be placed on the memory allocation queue of the specified memorypool, and wait until it can get the memory it requires.
+
+
+
+The order in which tasks wait on the queue when waiting to be allocated memory blocks is according to either FIFO or task priority.  The specification whereby tasks wait according to task priority is considered an extended function [level X] for which compatibility is not guaranteed.  Furthermore, when tasks form a memory allocation queue, it is implementation dependent whether priority is given to tasks requesting the smaller size of memory or those at the head of the queue.
+
+
+
 @subheading NOTES:
 
 
-@c
+
+Pget_blk and get_blk represent the same processing as specifying certain values (TMO_POL or TMO_FEVR) to tget_blk for tmout.  It is allowed that only tget_blk is implemented in the kernel and that pget_blk and get_blk are implemented as macros which call tget_blk.
+
+
+
+@c
+
 @c  pget_blk
-@c
+
+@c
+
+
 
 @page
+
 @subsection pget_blk - Poll and Get Variable-Size Memory Block
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER ercd =pget_blk(
+
   VP *p_blk,
+
   ID mplid,
+
   INT blksz
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mplid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mplid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mplid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (tmout is -2 or less, blksz is negative or invalid)
+
+
+
+@code{E_DLT} - The object being waited for was deleted (the specified memorypool
+
+was deleted while waiting)
+
+  
+
+@code{E_RLWAI} - WAIT state was forcibly released (rel_wai was received while
+
+waiting)
+
+  
+
+@code{E_TMOUT} - Polling failure or timeout
+
+  
+
+@code{E_CTX} - Context error (issued from task-independent portions or a
+
+task in dispatch disabled state; implementation dependent for
+
+pget_blk and tget_blk(tmout=TMO_POL))
+
+
 
 @subheading DESCRIPTION:
 
+
+
+The pget_blk system call has the same function as get_blk except for the waiting feature.  Pget_blk polls whether or not the task should wait if get_blk is executed.  The meaning of parameters to pget_blk are the same with get_blk.  The specific operations by pget_blk are as follows.
+
+
+
+  - If there is enough free memory to get the memory block of specified size
+
+    immediately, processing is the same as get_blk: that is, the
+
+    requested memory is allocated and the system call completes normally.
+
+
+
+  - If there is not enough free memory, an E_TMOUT error is returned to
+
+    indicate polling failed and the system call finishes.  Unlike get_blk,
+
+    the issuing task does not wait in this case.  Also, the issuing task
+
+    does not get any memory.
+
+
+
 @subheading NOTES:
 
 
-@c
+
+@c
+
 @c  tget_blk
-@c
+
+@c
+
+
 
 @page
+
 @subsection tget_blk - Get Variable-Size Memory Block with Timeout
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER ercd =tget_blk(
+
   VP *p_blk,
+
   ID mplid,
+
   INT blksz,
+
   TMO tmout
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mplid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mplid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mplid less than -4 was specified from
+
+a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (tmout is -2 or less, blksz is negative or invalid)
+
+
+
+@code{E_DLT} - The object being waited for was deleted (the specified memorypool
+
+was deleted while waiting)
+
+  
+
+@code{E_RLWAI} - WAIT state was forcibly released (rel_wai was received while
+
+waiting)
+
+  
+
+@code{E_TMOUT} - Polling failure or timeout
+
+  
+
+@code{E_CTX} - Context error (issued from task-independent portions or a
+
+task in dispatch disabled state; implementation dependent for
+
+pget_blk and tget_blk(tmout=TMO_POL))
+
+
+
+
 
 @subheading DESCRIPTION:
 
+
+
+The tget_blk system call has the same function as get_blk with an additional timeout feature.  A maximum wait time (timeout value) can be specified using the parameter tmout.  When a timeout is specified, a timeout error, E_TMOUT, will result and the system call will finish if the period specified by tmout elapses without conditions for releasing wait being satisfied (i.e. without sufficient free memory becoming available).
+
+
+
 @subheading NOTES:
 
 
-@c
+
+@c
+
 @c  rel_blk
-@c
+
+@c
+
+
 
 @page
+
 @subsection rel_blk - Release Variable-Size Memory Block
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER rel_blk(
+
   ID mplid,
+
   VP blk
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+ 
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mplid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mplid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mplid less than -4 was specified from
+
+            a user task.  This is implementation dependent.)
+
+  
+
+@code{E_PAR} - Parameter error (blk is invalid or an attempt was made to return
+
+the memory block to the wrong memorypool)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+This system call releases the memory block specified by blk and returns it to the variable-size memorypool specified by mplid.  Executing rel_blk allows memory to be allocated to the next task waiting for memory allocation from the memorypool given by mplid, thus releasing that task from its WAIT state.  The variable-size memorypool to which the memory block is returned must be the same memorypool from which it was originally allocated.  An E_PAR error will result if an attempt is made to return a memory block to another memorypool than that from which it was originally allocated. 
+
+
+
 @subheading NOTES:
 
 
-@c
+
+When memory is returned to a variable-size memorypool for which more than one task is waiting, multiple tasks may be released from waiting at the same time depending on the number of bytes of memory.  The order of tasks on the ready queue among tasks having the same priority after being released from waiting for memory is implementation dependent.
+
+
+
+@c
+
 @c  ref_mpl
-@c
+
+@c
+
+
 
 @page
+
 @subsection ref_mpl - Reference Variable-Size Memorypool Status
 
+
+
 @subheading CALLING SEQUENCE:
 
+
+
 @ifset is-C
+
 @example
+
 ER ref_mpl(
+
   T_RMPL *pk_rmpl,
+
   ID mplid
+
 );
+
 @end example
-@end ifset
+
+@end ifset
+
+
 
 @ifset is-Ada
-@end ifset
+
+@end ifset
+
+
 
 @subheading STATUS CODES:
 
-@code{EXXX} - 
+ 
+
+@code{E_OK} - Normal Completion
+
+  
+
+@code{E_ID} - Invalid ID number (mplid was invalid or could not be used)
+
+  
+
+@code{E_NOEXS} - Object does not exist (the memorypool specified by mplid does not exist)
+
+  
+
+@code{E_OACV} - Object access violation (A mplid less than -4 was specified from
+
+a user task.  This is implementation dependent.) Note: User tasks can issue ref_mpl in order to reference memorypools of mplid = TMPL_OS = -4.  Whether or not memorypools of mplid = -3 or -2 may be specified to ref_mpl by user tasks is implementation dependent.
+
+  
+
+@code{E_PAR} - Parameter error (the packet address for the return parameters
+
+could not be used)
+
+
 
 @subheading DESCRIPTION:
 
+
+
+This system call refers to the state of the variable-size memorypool specified by mplid, and returns the total free memory size currently available (frsz), the maximum continuous memory size of readily available free memory (maxsz), information of a task waiting to be allocated memory (wtsk), and its extended information (exinf).  Wtsk indicates, whether or not there is a task waiting to be allocated memory from the variable-size memorypool specified.  If there is no waiting task, wtsk is returned as FALSE = 0.  If there is a waiting task, wtsk is returned as a value other than 0.
+
+
+
 @subheading NOTES:
 
+
+
+In some implementations, memorypools having mplid = -3 or -2 may be referred with ref_mpl as memorypools used by implementation-dependent parts of the OS (such as those used for the stack only).  This system call can provide more detailed information regarding remaining memory if the usage of memorypools having mplid = -3 or -2 is more clearly defined.  Whether or not this feature is used and any details regarding information provided are implementation dependent.
+
+
+