Index: cpukit/score/include/rtems/debug.h
===================================================================
--- cpukit/score/include/rtems/debug.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/debug.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __RTEMS_DEBUG_h
-#define __RTEMS_DEBUG_h
+#ifndef _RTEMS_DEBUG_H
+#define _RTEMS_DEBUG_H
 
 #ifdef __cplusplus
Index: cpukit/score/include/rtems/score/address.h
===================================================================
--- cpukit/score/include/rtems/score/address.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/address.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_ADDRESSES_h
-#define __RTEMS_ADDRESSES_h
+#ifndef _RTEMS_SCORE_ADDRESS_H
+#define _RTEMS_SCORE_ADDRESS_H
 
 /**
Index: cpukit/score/include/rtems/score/apiext.h
===================================================================
--- cpukit/score/include/rtems/score/apiext.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/apiext.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -16,6 +16,6 @@
  */
 
-#ifndef __API_EXTENSIONS_h
-#define __API_EXTENSIONS_h
+#ifndef _RTEMS_SCORE_APIEXT_H
+#define _RTEMS_SCORE_APIEXT_H
 
 /**
Index: cpukit/score/include/rtems/score/apimutex.h
===================================================================
--- cpukit/score/include/rtems/score/apimutex.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/apimutex.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __API_MUTEX_h
-#define __API_MUTEX_h
+#ifndef _RTEMS_SCORE_APIMUTEX_H
+#define _RTEMS_SCORE_APIMUTEX_H
 
 /**
Index: cpukit/score/include/rtems/score/bitfield.h
===================================================================
--- cpukit/score/include/rtems/score/bitfield.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/bitfield.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -16,6 +16,6 @@
  */
 
-#ifndef __RTEMS_BITFIELD_h
-#define __RTEMS_BITFIELD_h
+#ifndef _RTEMS_SCORE_BITFIELD_H
+#define _RTEMS_SCORE_BITFIELD_H
 
 /**
Index: cpukit/score/include/rtems/score/chain.h
===================================================================
--- cpukit/score/include/rtems/score/chain.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/chain.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_CHAIN_h
-#define __RTEMS_CHAIN_h
+#ifndef _RTEMS_SCORE_CHAIN_H
+#define _RTEMS_SCORE_CHAIN_H
 
 /**
Index: cpukit/score/include/rtems/score/context.h
===================================================================
--- cpukit/score/include/rtems/score/context.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/context.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -16,6 +16,6 @@
  */
 
-#ifndef __RTEMS_CONTEXT_h
-#define __RTEMS_CONTEXT_h
+#ifndef _RTEMS_SCORE_CONTEXT_H
+#define _RTEMS_SCORE_CONTEXT_H
 
 /**
Index: cpukit/score/include/rtems/score/copyrt.h
===================================================================
--- cpukit/score/include/rtems/score/copyrt.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/copyrt.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_COPYRIGHT_h
-#define __RTEMS_COPYRIGHT_h
+#ifndef _RTEMS_SCORE_COPYRT_H
+#define _RTEMS_SCORE_COPYRT_H
 
 #ifdef __cplusplus
Index: cpukit/score/include/rtems/score/coremsg.h
===================================================================
--- cpukit/score/include/rtems/score/coremsg.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/coremsg.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_CORE_MESSAGE_QUEUE_h
-#define __RTEMS_CORE_MESSAGE_QUEUE_h
+#ifndef _RTEMS_SCORE_COREMSG_H
+#define _RTEMS_SCORE_COREMSG_H
 
 /**
Index: cpukit/score/include/rtems/score/coremutex.h
===================================================================
--- cpukit/score/include/rtems/score/coremutex.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/coremutex.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -19,6 +19,6 @@
  */
 
-#ifndef __RTEMS_CORE_MUTEX_h
-#define __RTEMS_CORE_MUTEX_h
+#ifndef _RTEMS_SCORE_COREMUTEX_H
+#define _RTEMS_SCORE_COREMUTEX_H
 
 /**
Index: cpukit/score/include/rtems/score/coresem.h
===================================================================
--- cpukit/score/include/rtems/score/coresem.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/coresem.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -19,6 +19,6 @@
  */
 
-#ifndef __RTEMS_CORE_COUNTING_SEMAPHORE_h
-#define __RTEMS_CORE_COUNTING_SEMAPHORE_h
+#ifndef _RTEMS_SCORE_CORESEM_H
+#define _RTEMS_SCORE_CORESEM_H
 
 /**
Index: cpukit/score/include/rtems/score/heap.h
===================================================================
--- cpukit/score/include/rtems/score/heap.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/heap.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -29,6 +29,6 @@
  */
 
-#ifndef __RTEMS_HEAP_h
-#define __RTEMS_HEAP_h
+#ifndef _RTEMS_SCORE_HEAP_H
+#define _RTEMS_SCORE_HEAP_H
 
 /**
Index: cpukit/score/include/rtems/score/interr.h
===================================================================
--- cpukit/score/include/rtems/score/interr.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/interr.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_INTERNAL_ERROR_h
-#define __RTEMS_INTERNAL_ERROR_h
+#ifndef _RTEMS_SCORE_INTERR_H
+#define _RTEMS_SCORE_INTERR_H
 
 /**
Index: cpukit/score/include/rtems/score/isr.h
===================================================================
--- cpukit/score/include/rtems/score/isr.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/isr.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -19,6 +19,6 @@
  */
 
-#ifndef __ISR_h
-#define __ISR_h
+#ifndef _RTEMS_SCORE_ISR_H
+#define _RTEMS_SCORE_ISR_H
 
 /**
Index: cpukit/score/include/rtems/score/mpci.h
===================================================================
--- cpukit/score/include/rtems/score/mpci.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/mpci.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __MPCI_h
-#define __MPCI_h
+#ifndef _RTEMS_SCORE_MPCI_H
+#define _RTEMS_SCORE_MPCI_H
 
 /**
Index: cpukit/score/include/rtems/score/mppkt.h
===================================================================
--- cpukit/score/include/rtems/score/mppkt.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/mppkt.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -20,6 +20,6 @@
  */
 
-#ifndef __MP_PACKET_h
-#define __MP_PACKET_h
+#ifndef _RTEMS_SCORE_MPPKT_H
+#define _RTEMS_SCORE_MPPKT_H
 
 /**
Index: cpukit/score/include/rtems/score/object.h
===================================================================
--- cpukit/score/include/rtems/score/object.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/object.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -19,6 +19,6 @@
  */
 
-#ifndef __OBJECTS_h
-#define __OBJECTS_h
+#ifndef _RTEMS_SCORE_OBJECT_H
+#define _RTEMS_SCORE_OBJECT_H
 
 #ifdef __cplusplus
Index: cpukit/score/include/rtems/score/objectmp.h
===================================================================
--- cpukit/score/include/rtems/score/objectmp.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/objectmp.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_OBJECTS_MP_h
-#define __RTEMS_OBJECTS_MP_h
+#ifndef _RTEMS_SCORE_OBJECTMP_H
+#define _RTEMS_SCORE_OBJECTMP_H
 
 /**
Index: cpukit/score/include/rtems/score/priority.h
===================================================================
--- cpukit/score/include/rtems/score/priority.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/priority.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __PRIORITY_h
-#define __PRIORITY_h
+#ifndef _RTEMS_SCORE_PRIORITY_H
+#define _RTEMS_SCORE_PRIORITY_H
 
 /**
Index: cpukit/score/include/rtems/score/stack.h
===================================================================
--- cpukit/score/include/rtems/score/stack.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/stack.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __STACK_h
-#define __STACK_h
+#ifndef _RTEMS_SCORE_STACK_H
+#define _RTEMS_SCORE_STACK_H
 
 /**
Index: cpukit/score/include/rtems/score/states.h
===================================================================
--- cpukit/score/include/rtems/score/states.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/states.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -16,6 +16,6 @@
  */
 
-#ifndef __RTEMS_STATES_h
-#define __RTEMS_STATES_h
+#ifndef _RTEMS_SCORE_STATES_H
+#define _RTEMS_SCORE_STATES_H
 
 /**
Index: cpukit/score/include/rtems/score/sysstate.h
===================================================================
--- cpukit/score/include/rtems/score/sysstate.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/sysstate.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -16,6 +16,6 @@
  */
 
-#ifndef __RTEMS_SYSTEM_STATE_h
-#define __RTEMS_SYSTEM_STATE_h
+#ifndef _RTEMS_SCORE_SYSSTATE_H
+#define _RTEMS_SCORE_SYSSTATE_H
 
 /**
Index: cpukit/score/include/rtems/score/thread.h
===================================================================
--- cpukit/score/include/rtems/score/thread.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/thread.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __THREAD_h
-#define __THREAD_h
+#ifndef _RTEMS_SCORE_THREAD_H
+#define _RTEMS_SCORE_THREAD_H
 
 /**
Index: cpukit/score/include/rtems/score/threadmp.h
===================================================================
--- cpukit/score/include/rtems/score/threadmp.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/threadmp.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_THREAD_MP_h
-#define __RTEMS_THREAD_MP_h
+#ifndef _RTEMS_SCORE_THREADMP_H
+#define _RTEMS_SCORE_THREADMP_H
 
 /**
Index: cpukit/score/include/rtems/score/threadq.h
===================================================================
--- cpukit/score/include/rtems/score/threadq.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/threadq.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __THREAD_QUEUE_h
-#define __THREAD_QUEUE_h
+#ifndef _RTEMS_SCORE_THREADQ_H
+#define _RTEMS_SCORE_THREADQ_H
 
 /**
Index: cpukit/score/include/rtems/score/tod.h
===================================================================
--- cpukit/score/include/rtems/score/tod.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/tod.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __TIME_OF_DAY_h
-#define __TIME_OF_DAY_h
+#ifndef _RTEMS_SCORE_TOD_H
+#define _RTEMS_SCORE_TOD_H
 
 /**
Index: cpukit/score/include/rtems/score/tqdata.h
===================================================================
--- cpukit/score/include/rtems/score/tqdata.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/tqdata.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __THREAD_QUEUE_DATA_h
-#define __THREAD_QUEUE_DATA_h
+#ifndef _RTEMS_SCORE_TQDATA_H
+#define _RTEMS_SCORE_TQDATA_H
 
 /**
Index: cpukit/score/include/rtems/score/userext.h
===================================================================
--- cpukit/score/include/rtems/score/userext.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/userext.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __USER_EXTENSIONS_h
-#define __USER_EXTENSIONS_h
+#ifndef _RTEMS_SCORE_USEREXT_H
+#define _RTEMS_SCORE_USEREXT_H
 
 /**
Index: cpukit/score/include/rtems/score/watchdog.h
===================================================================
--- cpukit/score/include/rtems/score/watchdog.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/watchdog.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __WATCHDOG_h
-#define __WATCHDOG_h
+#ifndef _RTEMS_SCORE_WATCHDOG_H
+#define _RTEMS_SCORE_WATCHDOG_H
 
 /**
Index: cpukit/score/include/rtems/score/wkspace.h
===================================================================
--- cpukit/score/include/rtems/score/wkspace.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/score/wkspace.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __WORKSPACE_h
-#define __WORKSPACE_h
+#ifndef _RTEMS_SCORE_WKSPACE_H
+#define _RTEMS_SCORE_WKSPACE_H
 
 /**
Index: cpukit/score/include/rtems/seterr.h
===================================================================
--- cpukit/score/include/rtems/seterr.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/seterr.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -17,6 +17,6 @@
  */
 
-#ifndef __RTEMS_SET_ERRNO_h
-#define __RTEMS_SET_ERRNO_h
+#ifndef _RTEMS_SETERR_H
+#define _RTEMS_SETERR_H
 
 #define rtems_set_errno_and_return_minus_one( _error ) \
Index: cpukit/score/include/rtems/system.h
===================================================================
--- cpukit/score/include/rtems/system.h	(revision 14426c8fb89e6d37a3a53e1d05df87082de7c860)
+++ cpukit/score/include/rtems/system.h	(revision 092f142af38a00d9423c7ed7a4872a034ed0ff58)
@@ -18,6 +18,6 @@
  */
 
-#ifndef __RTEMS_SYSTEM_h
-#define __RTEMS_SYSTEM_h
+#ifndef _RTEMS_SYSTEM_H
+#define _RTEMS_SYSTEM_H
 
 #ifdef __cplusplus